Sustainability Navigation

Logitech Harmony Remote Software (legacy software) for macOS 10.15

Pinned

Comments

76 comments

  • robindb

    Logictech decided not support user base of elite despite promises to contrary.

    1
    Comment actions Permalink
  • robindb

    Ok, good news I hope, downloading it now.

     

    How about Elite software ?

    0
    Comment actions Permalink
  • dklj

    Paul I may headed the direction you took . . . . 

    MacBook Pro (15-inch, 2016). Mac OS Catalina 10.15.1 10.15.1 (19B88). Harmony 880.

    Downloaded and installed LHRS v. 7.9.0.71 successfully. Loditech.kext is in place I the ~/Library/Extensions folder. Connected the 880 and had to update the password before I could continue. Application (manually) starts up and correctly reads saved devices and activities.
     
    Will not sync.
     
    Sync window blinks this:
     
    None of the troubleshooting options resulted in a fix. Additionally the Application does not open automatically when the remote is connected.
     
    0
    Comment actions Permalink
  • Manfred Hoss

    I have a little workaround. Click on sync without remote connected. Then the normal window appear, then connect the remote. retry sync, sometimes it hang at 30%, next time it sync properly.

    0
    Comment actions Permalink
  • Kevin Feeley

    I have a Harmony 660. The remote says USB connected, that is where it ends.  Nothing updates.

    0
    Comment actions Permalink
  • dklj

    wkwong and pkharmony:

    "I'd recommend you to quit the software from the menu bar and try again."

    I did. But before I read your reply I started in Safe Boot mode. LHRS v. 7.9.0.71 now works like the previous 32 bit version (s). Back ground maintenance starting in Safe Boot may have resolved my issue.

    One of the solutions offered was: 'Did the applications startup automatically when the remote was connected?'. System Report reports the 'Harmony' device is connected and drawing current. Remote reports 'connected'. But the application does not startup automatically. Easy work around. But should it?

    Thanks for your help . . . . 

    0
    Comment actions Permalink
  • wkwong

    Deckard12 This software does not support the Harmony Elite.  You should be using the Harmony App from your mobile device to create or access your Elite.  You can download the Harmony App from the Google Play Store or iTunes store.

     

    @Robert Lesser You currently have a MyHarmony account.  This software is also not for you.  You should be using Harmony Desktop.  From your computer, please go here - https://support.myharmony.com/en-us/download and click on the icon on the right.  After downloading and installing Harmony Desktop, you can log in using your email address.

     

    Thank you.

    0
    Comment actions Permalink
  • wkwong

    Hi Dan, 

     

    The Elite will require you to use the Harmony App from your mobile device.  The Touch, since it does not use a Hub, can be programmed using Harmony Desktop (not the legacy software discussed here).  Our legacy software support remotes like the Harmony 900, Harmony 1000, 1100.  

    It is a fair question to ask.  We worked on our legacy software to be 64-bit and compatible with Catalina because, without it, there will be no solution at all for those customers.  With our Hub remotes, there is the mobile app option, which is already used by many of our customers.  

    Thanks.

    ______

    To get Harmony Desktop:

    From your computer, please go here - https://support.myharmony.com/en-us/download and click on the icon on the right.  After downloading and installing Harmony Desktop, you can log in using your email address.

    0
    Comment actions Permalink
  • Steve Ascheman

    Quick question regarding the Logitech Harmony Remote Software (legacy software) for macOS 10.15.   Does that software already include Java within the app, or will it require the separate download and installation of Java8 from Oracle's website?  Your information about the software indicates it is now using the JavaFX engine, but I don't know if that means that Java is officially now bundled within your legacy software app or whether I'm going to need to download Java separately from Oracle when I get ready to transition to macOS 10.15 with my Logitech 1100 remote.

    0
    Comment actions Permalink
  • wkwong

    Hi Steve A.

    The Java dependencies are included in the install package.  There is nothing separate to install.  

     

    Thanks.

    0
    Comment actions Permalink
  • NormD

    Works OK with my Harmony One+ but with very basic features. Glad to see this. To sync, I click on sync, then attache the remote, then click on the Sync Now.

    0
    Comment actions Permalink
  • peterwyss0631

    Nicht gerade einfach zum installieren

    0
    Comment actions Permalink
  • Jeff Kollmann

    I'm completely stuck . . . purchased a 2nd Harmony Companion, as I really love the first one I already own. I notice that configuring via the MacOS app is no longer an option due to changes with macOS Catalina. Here's my issue: when I try to set up the Hub that came with the Companion remote, I am able to 1. connect it to my wifi, 2. login to my Harmony account, but after that, I keep getting asked to "Place my Harmony Remote in it's cradle to proceed with the setup process." Uhhhhhh . . . . . the Harmony Companion doesn't come with a cradle. I've already tried factory resetting the hub multiple times. Help!

     

     

    0
    Comment actions Permalink
  • Jeff Moore

    Anyone use Windows on Mac thru Bootcamp to continue working with Hub based Harmony remotes?

    0
    Comment actions Permalink
  • NormD

    My Harmony will not work with 10.15 Catalina.  You need to download Harmony Desktop, which runs in Catalina.  Don't expect all of the features as we had in My Harmony.  As is typical of Logitech, Macs are an afterthought if a thought at all.

    0
    Comment actions Permalink
  • fpmac

    NormD, Fully agreed for : " For all the time Logitech had to address this issue this is a pitiful response. When my remote dies, I will not be buying another from Logitech."

    I use Harmony One + and Harmony Smart Control and as they ain't able to set MyHarmony 64bits for MacOs Catalina and are "offering" a "last Millenium" replacement solution, I will never buy again any kind of Logitech product until they get back to professional solution.

    0
    Comment actions Permalink
  • jperk10

    Cannot sync any remotes, cannot even get a new remote to be recognized. I have Catalina 10.15.4. I tried different USB ports, different cables including the cable it came with and nothing. I keep getting

    "We are having trouble communicating with your remote. Please disconnect it from your computer, wait for few moments and reconnect it.

    Sync will start automatically when you reconnect."

    Any clue how to resolve this or these remotes basically trash at this point?

     

    0
    Comment actions Permalink
  • fpmac

    Hi jperk10.

    I'm impatient to see what will be the support's answer (I mean what the board will ask the support to answer, if answering is allowed).

    For me, the sync got sucked with 10.15.3 on one essential product that used to work before (the TVBox-router). I got to make a try with 10.0.4 to see if it's getting blocked earlier. Apparently Apple also changed a few rules (for Safari at least) in regards of security (to avoid to be followed too easily).

    0
    Comment actions Permalink
  • fpmac

    Hi Bob Gare.

    Fully agreed ... except for the Bill.... They know how to ...

    0
    Comment actions Permalink
  • robindb

    Same here.

     

     

    0
    Comment actions Permalink
  • StinkinPoopDog

    Come on...I have some new equipment and really need to make some major changes.

    I’ve never been able to install the version so I’ve just left the remotes as they are.

    I wanted to buy the new Harmony 2400 remote with the wired hub and won’t until I see the software has been fixed and I can do all the things I used to do.

    0
    Comment actions Permalink
  • NormD

    What problems are you having installing the new app?  Maybe some of us can help?  I assume you know there is a new version for 10.15 on their web site.  I just upgraded from the 10.14  version and the install went flawlessly and the app works.  No added functionality, which blows my mind.

    0
    Comment actions Permalink
  • robindb

    @NormD for the elite on catalina ?

    0
    Comment actions Permalink
  • NormD

    Sorry, I was not aware that you were using the Elite.  I have a Harmony 650, 600 and One+ running on my app with 10.15.4 (Catalina) on a Mac mini.  I do not know if the Elite is supported, but you should be able to install the app.  I read you could not install the version, not the remote.

    0
    Comment actions Permalink
  • NormD

    Thanks for the clarification.

     

    0
    Comment actions Permalink
  • Bob Gare

    It installs fine.  Please tell me how it works exactly like the ease of the PC version.  We'll ignore everyone else's same complaints.

    0
    Comment actions Permalink
  • Bob Gare

    For the Elite Catalina? Catalina that Logitech seems incapable of writing software for with 10 plus years to prepare for?   Open source coders in their mothers basements seem to have no issues keeping up.   Just the fact you call it "Elite Catalina" prove the bias against Apple.

    0
    Comment actions Permalink
  • Bob Gare

    What is Elite Catalina.  I'm using Apple Catalina 10:15:4 and Harmony Desktop.  It's an absolute pain in the ass to use.  How about some videos to show use how easy it is to use all the different setup options.  Am I just not finding the Detailed user manual and training videos?  I can find plenty for the NOT even close PC version.  

    0
    Comment actions Permalink
  • Manne Hoss

    I am change Operating System after 10 years of MacOS. I will build a game machine in three month from now. It should be a machine beside the mac, but now i will change complete. It is because of the terrible support of the Mac Computer. Logitech, Bitwarden, Razer...many programs in the window version are much better, many many more games. With a new MacOS version some programs do not work anymore.

    0
    Comment actions Permalink
  • NormD

    I'm not sure if the comments were directed at me or not. I had no problem installing the 64-bit Harmony Desktop on MacOS Catalina 10.15.  That was the original discussion as I remember it. However, the app totally sucks. It has nowhere the capability of the 32-bit app and has not been upgraded since the original release. I cannot comment on the PC version of the app. I will avoid buying anything Logitech in the future if they can't do something simple like this for Mac users.

    0
    Comment actions Permalink

Please sign in to leave a comment.